Package org.eclipse.wst.xsl.core.internal.validation.eclipse

## org.eclipse.wst.xsl.core.internal.validation.eclipse
Class Validator2

    public class Validator2
    extends AbstractValidator

Validator for both build validation (AbstractValidator) and as-you-type validation (IValidatorJob).

## Constructor Summary

`Validator2()`

## Method Summary

`public void` | `clean(IProject project , ValidationState state , IProgressMonitor monitor)`
`public void` | `cleanup(IReporter reporter)`
`public ISchedulingRule` | `getSchedulingRule(IValidationContext helper)`
`public ValidationResult` | `validate(IResource resource , int kind , ValidationState state , IProgressMonitor monitor)`
`public void` | `validate(IValidationContext helper , IReporter reporter)`
`public IStatus` | `validateInJob(IValidationContext helper , IReporter reporter)`

## Constructor Detail

## Validator2

`public Validator2()`

## Methods Detail

## clean

`public void clean(IProject project , ValidationState state , IProgressMonitor monitor)`

### Parameters

`project`

`state`

`monitor`

## cleanup

`public void cleanup(IReporter reporter)`

### Parameters

`reporter`

## getSchedulingRule

`public ISchedulingRule getSchedulingRule(IValidationContext helper)`

### Parameters

`helper`

### Returns

`ISchedulingRule`

## validate

`public ValidationResult validate(IResource resource , int kind , ValidationState state , IProgressMonitor monitor)`

### Parameters

`resource`

`kind`

`state`

`monitor`

### Returns

`ValidationResult`

## validate

`public void validate(IValidationContext helper , IReporter reporter)`

### Parameters

`helper`

`reporter`

### Throws:

`ValidationException`

## validateInJob

`public IStatus validateInJob(IValidationContext helper , IReporter reporter)`

### Parameters

`helper`

`reporter`

### Returns

`IStatus`

### Throws:

`ValidationException`